Update a custom field definition
Update a custom field definition
Authorization
x-api-key API key required for authentication.
Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.
In: header
Path Parameters
Custom field definition ID
Request Body
application/json
PUT /v2/custom-fields/:id Request body
TypeScript Definitions
Use the request body type in TypeScript.
Display name shown to users
Description of the field's purpose
Type of data this field stores
Whether this field must have a value
Available options for select/multi-select fields
Validation rules for the custom field
Earliest allowed calendar date. Format: YYYY-MM-DD
Latest allowed calendar date. Format: YYYY-MM-DD
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://api.carecycle.ai/v2/custom-fields/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"clientId": "5e505642-9024-474d-9434-e5a44f505cc5",
"recordType": "customers",
"fieldKey": "string",
"fieldLabel": "string",
"fieldDescription": "string",
"fieldType": "text",
"isRequired": true,
"options": [
"string"
],
"validationRules": "string",
"deleted": true,
"deletedAt": "2019-08-24T14:15:22Z"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "VALIDATION_ERROR",
"errors": [
{
"path": [
"string"
],
"message": "string",
"expected": "string",
"received": "string",
"code": "string"
}
],
"failedRecords": [
{
"index": 0,
"phoneNumber": "string",
"firstName": "string",
"lastName": "string",
"externalId": "string"
}
]
}{
"message": "string",
"code": "string",
"retryAfter": 0
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}{
"message": "string",
"code": "string"
}